use strict;
use warnings;

package Software::License::GPL_3::or_later;

our $VERSION = '0.001_001'; # VERSION
# ABSTRACT: Add-on for Software::License module, provides "or any later" clause to GPLv3

use parent 'Software::License::GPL_3';

sub name { $_[ 0 ]->SUPER::name() . ', or any later' }
sub version { '3+'; };

1;

=pod

=encoding UTF-8

=head1 NAME

Software::License::GPL_3::or_later - Add-on for Software::License module, provides "or any later" clause to GPLv3

=head1 VERSION

version 0.001_001

=head1 AUTHOR

Van de Bugger <van.de.bugger@liamg.moc>

=head1 COPYRIGHT AND LICENSE

Copyright (c) 2015 by Van de Bugger.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

=cut

__DATA__
__NOTICE__
Copyright (c) {{$self->year}} by {{$self->holder}}.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
